***************************
* File: B_ecole.do 
* Questionnaire type: Health Facility
* Country: Madagascar
*****************************

version 10.1
cd "Source\Madagascar 2006 P E\"
capture clear
capture log close
clear
set mem 700m
set more off

use "4- Data\4.1. Raw Data\First Round\ecole_1er_jour\B_ecole.dta"

**************************************************
***   Ensure all variables are present and labeled.
**************************************************
log using "B_ecole", replace
codebook, compact
log close

**************************************************
***   Ensure response value labels are correct.
**************************************************
label save using "B_ecole", replace

**************************************************
***   Recode missing values
***************************************************
*    DECODE MISSING VALUES
# d ;
qui mvdecode constr , mv(
5=.d);
# d cr;

**************************************************
***  Identify illegal responses
**************************************************
log using "B_ecole label inspect", replace
inspect
log close

**************************************************
*** FINAL  : Delivrables
**************************************************

*Codebook
cd "Source\Madagascar 2006 P E\4- Data\4.3. Clean Data\4.3.3. Data Code Book\First Round\ecole_1er_jour"
log using "B_ecole codebook", replace
codebook, compact
log close

*Save cleaned data
cd "Source\Madagascar 2006 P E\4- Data\4.3. Clean Data\4.3.1. Final Data\First Round\ecole_1er_jour"
save "B_ecole_cleaned_data.dta", replace
