***************************
* File: ecole_ferme.do 
* Questionnaire type: Health Facility
* Country: Madagascar
*****************************

version 10.1
cd "Source\Madagascar 2006 P E\"
capture clear
capture log close
clear
set mem 700m
set more off

use "4- Data\4.1. Raw Data\First Round\ecole_1er_jour\ecole_ferme.dta"

**************************************************
***   Ensure all variables are present and labeled.
**************************************************
log using "ecole_ferme", replace
codebook, compact
log close

**************************************************
***   Ensure response value labels are correct.
**************************************************
label save using "ecole_ferme", replace


**************************************************
***  Identify illegal responses
**************************************************
log using "ecole_ferme label inspect", replace
inspect
log close

**************************************************
*** FINAL  : Delivrables
**************************************************

*Codebook
cd "Source\Madagascar 2006 P E\4- Data\4.3. Clean Data\4.3.3. Data Code Book\First Round\ecole_1er_jour"
log using "ecole_ferme codebook", replace
codebook, compact
log close

*Save cleaned data
cd "Source\Madagascar 2006 P E\4- Data\4.3. Clean Data\4.3.1. Final Data\First Round\ecole_1er_jour"
save "ecole_ferme_cleaned_data.dta", replace
